---
- hosts: servers
  become: true
  vars_files:
    - secret.vars

  roles:    
    - role: cloudalchemy.grafana
      vars:
        grafana_security:
          admin_user: admin
          admin_password: "{{ grafana_admin_pass }}"
      grafana_datasources:
      - name: "Prometheus"
        type: "prometheus"
        access: "proxy"
        url: "http://monitoring.testsalad.tk:9090"
        isDefault: true
        basicAuth: true
        basicAuthUser: "user"
        basicAuthPassword: "{{ prometheus_password }}"

      grafana_dashboards:
      # node exporter full
      - dashboard_id: '1860'
        revision_id: '27'
        datasource: '{{ grafana_datasources.0.name }}'
      - dashboard_id: '3662'
        revision_id: '2'
        datasource: '{{ grafana_datasources.0.name }}'
      - dashboard_id: '4271'
        revision_id: '4'
        datasource: '{{ grafana_datasources.0.name }}'
      # blackbox exporter
      - dashboard_id: '7587'
        revision_id: '3'
        datasource: '{{ grafana_datasources.0.name }}'

